Bug 1314037 - gi.overrides.BlockDev.LVMError: Process reported exit code 1280: Volume group "arrakis" not found
gi.overrides.BlockDev.LVMError: Process reported exit code 1280: Volume gro...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: blivet-maint-list@redhat.com
Fedora Extras Quality Assurance
abrt_hash:d733296b92494ebb17997c47b07...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-02 14:04 EST by CJ Kucera
Modified: 2016-12-20 14:12 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 14:12:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (1.25 MB, text/plain)
2016-03-02 14:04 EST, CJ Kucera
no flags Details
File: anaconda.log (138.77 KB, text/plain)
2016-03-02 14:04 EST, CJ Kucera
no flags Details
File: dnf.log (14.32 KB, text/plain)
2016-03-02 14:04 EST, CJ Kucera
no flags Details
File: environ (459 bytes, text/plain)
2016-03-02 14:04 EST, CJ Kucera
no flags Details
File: lsblk_output (3.13 KB, text/plain)
2016-03-02 14:04 EST, CJ Kucera
no flags Details
File: nmcli_dev_list (1.19 KB, text/plain)
2016-03-02 14:04 EST, CJ Kucera
no flags Details
File: os_info (451 bytes, text/plain)
2016-03-02 14:04 EST, CJ Kucera
no flags Details
File: storage.log (709.13 KB, text/plain)
2016-03-02 14:04 EST, CJ Kucera
no flags Details
File: syslog (106.14 KB, text/plain)
2016-03-02 14:04 EST, CJ Kucera
no flags Details
File: ifcfg.log (4.45 KB, text/plain)
2016-03-02 14:04 EST, CJ Kucera
no flags Details
File: packaging.log (2.51 KB, text/plain)
2016-03-02 14:04 EST, CJ Kucera
no flags Details
File: program.log (151.37 KB, application/octet-stream)
2016-03-02 14:04 EST, CJ Kucera
no flags Details

  None (edit)
Description CJ Kucera 2016-03-02 14:04:02 EST
Description of problem:
I'm attempting to install F23 on top of an existing dmraid/LVM structure by adding new LVs to the existing VG (something I've been doing for Fedora "upgrades" for quite awhile now).  The HD structure looks like so:

sda1/sdb1: swap
sda2/sdb2: md0, /boot
sda3/sdb3: md1, with an LVM PV on top, containing an "arrakis" VG, and LVs for /, /var, etc...

The Anaconda GUI lets me select things and set them up as I want using custom partitioning, and when I hit "Done" on that screen, everything looks fine - when I review the list of disk changes, there's just some reformatting of the swap partitions, and a handful of new LVs getting created inside my already-existing VG.

When I proceed with the installation, though, it ends up failing.  Sometime inbetween when I configured my partitioning and it went to do the actual work, the install image seems to have "forgotten" how to talk to the existing LVM structure, and the error that Anaconda can't find the "arrakis" VG.

When I investigate on the Anaconda commandline, it's true that it can't seem to see the LVM structure anymore, even a "pvscan" returns nothing.  I did try getting fancier with something I saw in the logs, namely:

   lvm pvs --config 'devices { preferred_names=["/dev/md/"] }'

... under the thought that maybe it didn't know to look for RAID devices somehow, but that didn't work either.

What DOES make the LVM environment show up in the anaconda commandline, though, is if I run the following:

   pvscan --cache --activate ay

Once I've done that, I can pvscan/vgscan/lvscan to my heart's content, and see all the old partitions and stuff that I'd expect.  Of course, by this time the install has failed, though, so I'm sort of stuck there.

I'll upload any extra information this report omitted once I'm back on a usual desktop.

Version-Release number of selected component:
anaconda-23.19.10-1

The following was filed automatically by anaconda:
anaconda 23.19.10-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.4/site-packages/gi/overrides/BlockDev.py", line 416, in wrapped
    raise transform[1](msg)
  File "/usr/lib/python3.4/site-packages/blivet/devices/lvm.py", line 746, in _create
    blockdev.lvm.lvcreate(self.vg.name, self._name, self.size)
  File "/usr/lib/python3.4/site-packages/blivet/devices/storage.py", line 455, in create
    self._create()
  File "/usr/lib/python3.4/site-packages/blivet/deviceaction.py", line 312, in execute
    self.device.create()
  File "/usr/lib/python3.4/site-packages/blivet/actionlist.py", line 280, in process
    action.execute(callbacks)
  File "/usr/lib/python3.4/site-packages/blivet/devicetree.py", line 380, in processActions
    callbacks=callbacks)
  File "/usr/lib/python3.4/site-packages/blivet/blivet.py", line 164, in doIt
    self.devicetree.processActions(callbacks=callbacks)
  File "/usr/lib/python3.4/site-packages/blivet/osinstall.py", line 1096, in turnOnFilesystems
    storage.doIt(callbacks)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/install.py", line 195, in doInstall
    turnOnFilesystems(storage, mountOnly=flags.flags.dirInstall, callbacks=callbacks_reg)
  File "/usr/lib64/python3.4/threading.py", line 868, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.4/site-packages/pyanaconda/threads.py", line 253, in run
    threading.Thread.run(self, *args, **kwargs)
gi.overrides.BlockDev.LVMError: Process reported exit code 1280:   Volume group "arrakis" not found


Additional info:
addons:         com_redhat_kdump
cmdline:        /usr/bin/python3  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora-S-23-x86_64 rd.live.check quiet
dnf.rpm.log:    Mar 02 18:21:07 INFO --- logging initialized ---
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.2.3-300.fc23.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        23
Comment 1 CJ Kucera 2016-03-02 14:04:23 EST
Created attachment 1132480 [details]
File: anaconda-tb
Comment 2 CJ Kucera 2016-03-02 14:04:25 EST
Created attachment 1132481 [details]
File: anaconda.log
Comment 3 CJ Kucera 2016-03-02 14:04:27 EST
Created attachment 1132482 [details]
File: dnf.log
Comment 4 CJ Kucera 2016-03-02 14:04:28 EST
Created attachment 1132483 [details]
File: environ
Comment 5 CJ Kucera 2016-03-02 14:04:29 EST
Created attachment 1132484 [details]
File: lsblk_output
Comment 6 CJ Kucera 2016-03-02 14:04:30 EST
Created attachment 1132485 [details]
File: nmcli_dev_list
Comment 7 CJ Kucera 2016-03-02 14:04:31 EST
Created attachment 1132486 [details]
File: os_info
Comment 8 CJ Kucera 2016-03-02 14:04:41 EST
Created attachment 1132487 [details]
File: storage.log
Comment 9 CJ Kucera 2016-03-02 14:04:43 EST
Created attachment 1132488 [details]
File: syslog
Comment 10 CJ Kucera 2016-03-02 14:04:44 EST
Created attachment 1132489 [details]
File: ifcfg.log
Comment 11 CJ Kucera 2016-03-02 14:04:45 EST
Created attachment 1132490 [details]
File: packaging.log
Comment 12 CJ Kucera 2016-03-02 14:04:48 EST
Created attachment 1132491 [details]
File: program.log
Comment 13 CJ Kucera 2016-03-02 14:10:32 EST
And apropos of what I'd mentioned above about the pvscan in the anaconda CLI, here's what I can do at the console to regain access to the LVM structure.  (Apologies for any transcription errors, didn't seem to have a good way to copy+paste this) -

[anaconda root@arrakis /]# pvscan
  No matching physical volumes found
[anaconda root@arrakis /]# pvscan --verbose
    Wiping cache of LVM-capable devices
    Wiping internal VG cache
    Walking through all physical volumes
  No matching physical volumes found
[anaconda root@arrakis /]# pvscan --cache --activate ay
[anaconda root@arrakis /]# pvscan
  PV /dev/md1   VG arrakis   lvm2 [927.84 GiB / 33.84 GiB free]
  Total: 1 [927.84 GiB] / in use: 1 [927.84 GiB] / in no VG: 0 [0   ]

So as you can see, a pvscan on its own doesn't do anything, but once I call it with "--cache --activate ay", I can then see it properly.

I should also mention that this did happen twice, with identical behavior each time.  These logs are for my second install attempt, when I was just making sure it was reproducible behavior.
Comment 14 Fedora End Of Life 2016-11-24 10:53:54 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2016-12-20 14:12:35 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.